/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitempre.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.modules.sys.entity.User;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 项目预审Entity
 * @author 丁旭
 * @version 2017-03-20
 */
public class WorkItemPre extends DataEntity<WorkItemPre> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 项目名称
	private String inquiryNum;		// 资格预审编号
	private String itemType;		// 项目类型
	private String itemSource;		// 项目来源
	private String tenderee;		// 招标人
	private String linkman;		// 联系人
	private String linkphone;		// 联系电话
	private Date applicationTime;		// 报名时间
	private User user;		// 项目组成员id
	private Date auditTime;		// 资审时间
	private Date readinessTime;		// 购买领用招标文件日期
	private String documentFee;		// 文件费用（元）
	private String bookFee;		// 装订文件费用（元）
	private String isCooperation;		// 是否对外协作
	private String itemStatus;		// 项目情况
	private Date beginAuditTime;		// 开始 资审时间
	private Date endAuditTime;		// 结束 资审时间
	
	public WorkItemPre() {
		super();
	}

	public WorkItemPre(String id){
		super(id);
	}

	@ExcelField(title="项目名称", align=2, sort=6)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="资格预审编号", align=2, sort=7)
	public String getInquiryNum() {
		return inquiryNum;
	}

	public void setInquiryNum(String inquiryNum) {
		this.inquiryNum = inquiryNum;
	}
	
	@ExcelField(title="项目类型", dictType="item_type", align=2, sort=8)
	public String getItemType() {
		return itemType;
	}

	public void setItemType(String itemType) {
		this.itemType = itemType;
	}
	
	@ExcelField(title="项目来源", dictType="item_source", align=2, sort=9)
	public String getItemSource() {
		return itemSource;
	}

	public void setItemSource(String itemSource) {
		this.itemSource = itemSource;
	}
	
	@ExcelField(title="招标人", align=2, sort=10)
	public String getTenderee() {
		return tenderee;
	}

	public void setTenderee(String tenderee) {
		this.tenderee = tenderee;
	}
	
	@ExcelField(title="联系人", align=2, sort=11)
	public String getLinkman() {
		return linkman;
	}

	public void setLinkman(String linkman) {
		this.linkman = linkman;
	}
	
	@ExcelField(title="联系电话", align=2, sort=12)
	public String getLinkphone() {
		return linkphone;
	}

	public void setLinkphone(String linkphone) {
		this.linkphone = linkphone;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="报名时间", align=2, sort=13)
	public Date getApplicationTime() {
		return applicationTime;
	}

	public void setApplicationTime(Date applicationTime) {
		this.applicationTime = applicationTime;
	}
	
	@ExcelField(title="项目组成员id", fieldType=User.class, value="user.name", align=2, sort=14)
	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="资审时间", align=2, sort=15)
	public Date getAuditTime() {
		return auditTime;
	}

	public void setAuditTime(Date auditTime) {
		this.auditTime = auditTime;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="购买领用招标文件日期", align=2, sort=16)
	public Date getReadinessTime() {
		return readinessTime;
	}

	public void setReadinessTime(Date readinessTime) {
		this.readinessTime = readinessTime;
	}
	
	@ExcelField(title="文件费用（元）", align=2, sort=17)
	public String getDocumentFee() {
		return documentFee;
	}

	public void setDocumentFee(String documentFee) {
		this.documentFee = documentFee;
	}
	
	@ExcelField(title="装订文件费用（元）", align=2, sort=18)
	public String getBookFee() {
		return bookFee;
	}

	public void setBookFee(String bookFee) {
		this.bookFee = bookFee;
	}
	
	@ExcelField(title="是否对外协作", dictType="is_cooperation", align=2, sort=19)
	public String getIsCooperation() {
		return isCooperation;
	}

	public void setIsCooperation(String isCooperation) {
		this.isCooperation = isCooperation;
	}
	
	@ExcelField(title="项目情况", align=2, sort=20)
	public String getItemStatus() {
		return itemStatus;
	}

	public void setItemStatus(String itemStatus) {
		this.itemStatus = itemStatus;
	}
	
	public Date getBeginAuditTime() {
		return beginAuditTime;
	}

	public void setBeginAuditTime(Date beginAuditTime) {
		this.beginAuditTime = beginAuditTime;
	}
	
	public Date getEndAuditTime() {
		return endAuditTime;
	}

	public void setEndAuditTime(Date endAuditTime) {
		this.endAuditTime = endAuditTime;
	}
		
}